Bug 14042 - The authority type admin page manage its own pagination
Summary: The authority type admin page manage its own pagination
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 10947
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-22 11:58 UTC by Jonathan Druart
Modified: 2015-12-03 22:03 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14042: Get rid of the home made pagination in the auth type admin (4.65 KB, patch)
2015-04-22 12:01 UTC, Jonathan Druart
Details | Diff | Splinter Review
[Signed-off] Bug 14042: Get rid of the home made pagination in the auth type admin (4.81 KB, patch)
2015-04-22 13:19 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 14042: Get rid of the home made pagination in the auth type admin (4.86 KB, patch)
2015-04-22 20:45 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2015-04-22 11:58:11 UTC
Some code could be removed and DataTables introduced for a better rendering.
Comment 1 Jonathan Druart 2015-04-22 12:01:06 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2015-04-22 13:19:04 UTC Comment hidden (obsolete)
Comment 3 Marc Véron 2015-04-22 13:33:24 UTC
Note: Tested for sign-off with and without 10947 applied. Worked in both ways.
Comment 4 Katrin Fischer 2015-04-22 20:45:42 UTC
Created attachment 38376 [details] [review]
[PASSED QA] Bug 14042: Get rid of the home made pagination in the auth type admin

This patch removes the home made pagination and introduces datatables on
this page.

Test plan:
Go to the authority type admin page and confirm there is a beautiful
table.

Confirmed...
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Tomás Cohen Arazi 2015-05-07 15:37:35 UTC
Patch pushed to master.

Thanks Jonathan!
Comment 6 Chris Cormack 2015-05-17 21:46:50 UTC
Pushed to 3.18.x will be in 3.18.7